# spec-file
#
%define oname Aptana_Studio_3
%define oversion 3.7.2.201807301111

Name: 		aptanastudio
Version: 	3.7.2
Release: 	%mkrel 1
Summary: 	A java based web development environment
Summary(de):	Eine Java basierte Web-Entwicklungsumgebung 
Group:   	Development/Other
License: 	GPL
URL:     	http://www.aptana.com/
Source1:	aptanastudio-48.png
Requires:	java
BuildRequires:  unzip
BuildRequires:	ruby
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Obsoletes: 	%name < %version
AutoReqProv: no


%description
Build web applications quickly and easily using the
industry’s leading web application IDE. Aptana Studio
harnesses the flexibility of Eclipse and focuses it
into a powerful web development engine. 

%description -l de
Bauen Sie schnell und einfach Web-Awendungen mit der 
führenden Web-Programm IDE. Aptana Studio nutzt die 
Flexibilität von Eclipse und formt daraus eine 
mächtig Webentwicklungsengine.

%prep
#Here we go!


%install
export DONT_STRIP=1

cd %_builddir
mkdir -p %{buildroot}/%{_libdir}/%{oname}
wget -nc http://github.com/aptana/studio3/releases/download/%oversion/aptana.studio-linux.gtk.x86_64.zip
unzip aptana.studio-linux.gtk.x86_64.zip -d %{buildroot}/%{_libdir}/%{oname}

#icon
install -Dm 644 %SOURCE1 %buildroot/%_datadir/pixmaps/%{name}.png

#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Aptana Studio
Comment=Java Ide Client
Comment[de]=Auf Eclipse basirende IDE zur Webentwicklung
Exec=%{_bindir}/%{name}
Icon=%_datadir/pixmaps/%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Development-Tools;
EOF

#make Excutable
mkdir -p %{buildroot}%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
#!/bin/sh
cd %{_libdir}/%{oname}
./AptanaStudio3 
cd ..
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/%{name}
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/%{oname}/AptanaStudio3
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/%{oname}/AptanaStudio3.sh

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,0755)
%_bindir/%name
%{_libdir}/%{oname}
%_datadir/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
/usr/lib/debug


%changelog
* Thu Oct 03 2019 tex - 3.7.2.201807301111-1pclos2019
- update

* Sun Dec 13 2015 bb <bb> 3.6.1-1pclos2015
- updated and converted to nosrc srpm

* Fri Mar 01 2013 pinoc <vogtpet at gmail.com> 3.3.2-1pclos2013
- 3.3.2
- add BR ruby-RubyGems
- fixed executable and exceptions
- NOT a noarch, there are even different sources for 32/64

* Thu Feb 02 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 3.0.8-1pclos2012
- 3.0.8
- added german summary, description and Comment in desktop file section
- renamed the spec file to correct application name (atpanastudio -> aptanastudio) :)

* Sun May 22 2011 Texstar <texstar at gmail.com> 3.0.1-1pclos2011
- 3.0.1

* Tue Nov 09 2010 Texstar <texstar at gmail.com> 2.0-1pclos2010
- create package

